      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION  DIVISION.
       PROGRAM-ID.     SEIKYU0121.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : 
      *  ݡͥ̾  : ̳ƻĻٽ
      *                      (142,242,342,542)
      *              : 
      *      ȼ        
      *  04/08/20    ͭ¼          ͼѹȼ
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev				
      *****************************************************************
      *
       ENVIRONMENT   DIVISION.
       CONFIGURATION SECTION.
       INPUT-OUTPUT  SECTION.
       FILE-CONTROL.
      *
      *    ѥե
           SELECT  MF100-FILE   ASSIGN    MF100PARA
                               ORGANIZATION    IS  INDEXED
                               ACCESS  MODE    IS  DYNAMIC
                               RECORD  KEY     IS  MF100-KEY
                               FILE    STATUS  IS  STS-MF100.
      *
006900*    顼ե
           SELECT  RECEERR-FILE ASSIGN  RECEERR
                                FILE    STATUS  IS  STS-RECEERR.
      *
       DATA  DIVISION.
       FILE  SECTION.
      *
      *
      *    ץե
       FD  MF100-FILE.
       01  MF100-REC.
           COPY  "SEI0103.INC".
006900*    顼ե
       FD  RECEERR-FILE.
       01  RECEERR-REC  PIC X(200).
      *
       WORKING-STORAGE  SECTION.
      *
      *
           COPY  "CPCOMMONDAT2.INC"
                   REPLACING  //RECE01//
                   BY         //MF100//.
      *
      *    顼ե ̾ΰ
           COPY  "CPCOMMONDAT2.INC"
                   REPLACING  //RECE01PARA//
                   BY         //RECEERR//.
           03      PIC X(04)   VALUE   ".dat".
      *
           COPY  "SC0121.INC".
      *
      *    ΰ
       01  STS-AREA.
           03  STS-MF100      PIC X(02).
           03  STS-RECE02     PIC X(02).
           03  STS-RECEERR    PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-PTINF      PIC 9(01).
           03  FLG-END        PIC 9(01).
           03  FLG-PTINF      PIC 9(01).
           03  FLG-MF100      PIC 9(01).
           03  FLG-PRINT      PIC 9(01).
           03  FLG-SYSKANRI   PIC 9(01).
           03  FLG-SYSKANRI3  PIC 9(01).
           03  FLG-ERR        PIC 9(01).
           03  FLG-SYUNOU     PIC 9(01).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX            PIC 9(04).
           03  IDX1           PIC 9(04).
           03  IDX2           PIC 9(04).
           03  IDX3           PIC 9(04).
           03  IDY            PIC 9(04).
           03  IDZ            PIC 9(04).
      *
      *    ѥ᥿ΰ
       01  WRK-PARA.
           COPY    "CPORCSPRTLNK.INC".
           03  WRK-PARA-JOBID        PIC 9(07).
           03  WRK-PARA-SHELLID      PIC X(08).
           03  WRK-PARA-HOSPID       PIC X(24).
           03  WRK-PARA-PAGE         PIC 9(10).
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-RECEERR           PIC  X(200).
           03  WRK-Z2                PIC ZZ.
           03  WRK-Z3                PIC ZZZ.
           03  WRK-Z5                PIC Z,ZZZ.
           03  WRK-Z6                PIC ZZ,ZZZ.
           03  WRK-Z7                PIC ZZZ,ZZZ.
           03  WRK-Z9                PIC Z,ZZZ,ZZZ.
           03  WRK-SRYYMWH           PIC X(16).
           03  WRK-SEIYMDWH          PIC X(22).
           03  WRK-HENYMDG           PIC X(22).
           03  WRK-SYMD.
               05  WRK-SYY           PIC 9(04).
               05  WRK-SMM           PIC 9(02).
               05  WRK-SDD           PIC 9(02).
           03  WRK-LASTYMD           PIC 9(08).
           03  WRK-NYMD.
               05  WRK-NYY           PIC 9(04).
               05  WRK-NMM           PIC 9(02).
               05  WRK-NDD           PIC 9(02).
           03  WRK-TYMD.
               05  WRK-TYY           PIC 9(04).
               05  WRK-TMM           PIC 9(02).
               05  WRK-TDD           PIC 9(02).
           03  WRK-KOHNUM            PIC X(03).
           03  WRK-SRYKA-TBL  OCCURS 50.
               05  WRK-SRYKACD     PIC  X(02).
               05  WRK-SRYKANAME   PIC  X(50).
      *kuriharains
           03  WRK-K-GSYOSINSUX1  PIC ZZ.  
           03  WRK-K-GSYOSINSUX2  PIC ZZ.  
           03  WRK-K-GSYOSINSUX3  PIC ZZ.  
           03  WRK-K-GSYOSINSUX4  PIC ZZ.  
           03  WRK-K-GTENSUX1  PIC ZZZ,ZZZ.  
           03  WRK-K-GTENSUX2  PIC ZZZ,ZZZ.  
           03  WRK-K-GTENSUX3  PIC ZZZ,ZZZ.  
           03  WRK-K-GTENSUX4  PIC ZZZ,ZZZ.  
           03  WRK-K-GFUTANKINX1  PIC ZZZ,ZZZ.  
           03  WRK-K-GFUTANKINX2  PIC ZZZ,ZZZ.  
           03  WRK-K-GFUTANKINX3  PIC ZZZ,ZZZ.  
           03  WRK-K-GFUTANKINX4  PIC ZZZ,ZZZ.  
           03  WRK-K-GKENSUX1  PIC ZZ.  
           03  WRK-K-GKENSUX2  PIC ZZ.  
           03  WRK-K-GKENSUX3  PIC ZZ.  
           03  WRK-K-GKENSUX4  PIC ZZ.  
      *
       01  SUM-AREA.
           03  SUM-GSYOSIN        PIC 9(03).
           03  SUM-GITBFTN        PIC 9(07).
           03  SUM-GTENSU         PIC 9(07).
      *kuriharains
           03  SUM-K-GSYOSINSUX1  PIC 9(02).  
           03  SUM-K-GSYOSINSUX2  PIC 9(02).  
           03  SUM-K-GSYOSINSUX3  PIC 9(02).  
           03  SUM-K-GSYOSINSUX4  PIC 9(02).  
           03  SUM-K-GTENSUX1  PIC 9(07).  
           03  SUM-K-GTENSUX2  PIC 9(07).  
           03  SUM-K-GTENSUX3  PIC 9(07).  
           03  SUM-K-GTENSUX4  PIC 9(07).  
           03  SUM-K-GFUTANKINX1  PIC 9(07).  
           03  SUM-K-GFUTANKINX2  PIC 9(07).  
           03  SUM-K-GFUTANKINX3  PIC 9(07).  
           03  SUM-K-GFUTANKINX4  PIC 9(07).  
           03  SUM-K-GKENSUX1  PIC 9(02).  
           03  SUM-K-GKENSUX2  PIC 9(02).  
           03  SUM-K-GKENSUX3  PIC 9(02).  
           03  SUM-K-GKENSUX4  PIC 9(02).  
      *kuriharains
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-RECE02  PIC 9(06).
           03  CNT-MF100   PIC 9(06).
           03  CNT-PAGE    PIC 9(03).
      *
      *    ѥꥢ
       01  KEY-AREA.
           03  KEY-NEW.
               05  KEY-N-SRYKA      PIC X(02).
               05  KEY-N-FTNJANUM   PIC X(08).
           03  KEY-OLD.
               05  KEY-O-SRYKA      PIC X(02).
               05  KEY-O-FTNJANUM   PIC X(08).
      *
      *kuriharains
           03  WRK-K-WYY  PIC X(03).  
           03  WRK-K-WMM  PIC X(03).  
           03  K-CNT-LINE   PIC 9(03).  
           03  WRK-K-CNT-LINE   PIC ZZ9.  
           03  WRK-K-CNT-PAGE   PIC ZZ9.  
      *kuriharains
      *****************************************************************
      *    ե쥤ȡΰ
      *****************************************************************
      *
      *    ƥޥ
           COPY  "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY  "CPSK1002.INC".
      *
      *    Ųܾ
           COPY    "CPSK1005.INC".
      *
      *    ִޥ
       01  JOBKANRI-REC.
           COPY    "CPJOBKANRI.INC".
      *    ޥ
       01  PRTKANRI-REC.
           COPY    "CPPRTKANRI.INC".
      *    ޥ
       01  PRTDATA-REC.
           COPY    "CPPRTDATA.INC".
      *
      *    Ǽ
       01  SYUNOU-REC.
           COPY  "CPSYUNOU.INC".
      *
      *    Ծ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *
      *    
           COPY    "CPKOHSKY.INC"
                   REPLACING  //KOHSKY//
                   BY         //RECE02//.
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    ִģ極
           COPY    "CPORCSJOBKANRI.INC".
      *    ģ極
           COPY    "CPORCSPRT.INC".
      *
      *    ̥ѥ᥿
           COPY  "MCPAREA".
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".      
      *
           COPY  "MCPDATA.INC".
           COPY  "CPORCMCP.INC".
      *
      ****************************************************************
       LINKAGE  SECTION.
       01  COMMAND-PARAM.
           02  FILLER  PIC X(256).
      *****************************************************************
      *
       PROCEDURE  DIVISION
               USING COMMAND-PARAM.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC  SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
                   UNTIL  FLG-END = 1
      *
           PERFORM 300-END-SEC
      *
           STOP    RUN
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC  SECTION.
      *
           INITIALIZE  FLG-AREA
           INITIALIZE  STS-AREA
           INITIALIZE  WRK-AREA
           INITIALIZE  CNT-AREA
           INITIALIZE  SUM-AREA
           INITIALIZE  KEY-AREA
           INITIALIZE  IDX-AREA
      *
           DISPLAY "START"
           PERFORM 100-DBOPEN-SEC
      *
           UNSTRING   COMMAND-PARAM    DELIMITED  BY  ","
                                       INTO    LNK-PRTKANRI-RENNUM
                                               LNK-PRTKANRI-TBL-KEY
                                               LNK-PRTKANRI-TBL-GROUP
                                               LNK-PRTKANRI-SHORI-RENNUM
                                               LNK-PRTKANRI-SRYYM
                                               LNK-PRTKANRI-SKYYMD
                                               LNK-PRTKANRI-SHELLID
                                               LNK-PRTKANRI-PRIORITY
                                               LNK-PRTKANRI-TERMID
                                               LNK-PRTKANRI-OPID
                                               LNK-PRTKANRI-PRTNM
                                               WRK-PARA-JOBID
                                               WRK-PARA-SHELLID
                                               WRK-PARA-HOSPID
           END-UNSTRING
      *
      *    ƥå׳Ͻ
           MOVE    "STS"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           MOVE    "SEIKYU0121"    TO  JOB-PGID
           MOVE    "Ļٽ" 
                                   TO  JOB-SHELLMSG
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
      *    оǯǽ
           INITIALIZE  WRK-SYMD
           MOVE    LNK-PRTKANRI-SRYYM  TO    WRK-SYMD(1:6)
           PERFORM 31012-LASTDAY-GET-SEC
           MOVE    WRK-SYMD         TO    WRK-LASTYMD
      *
           MOVE    LNK-PRTKANRI-SRYYM  TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(1:16)   TO  WRK-SRYYMWH 
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    LNK-PRTKANRI-SKYYMD     TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           IF      STS-DAY-RC1         =   ZERO 
                   MOVE    LNK-DAY2-EDTYMD3    TO  WRK-SEIYMDWH
           END-IF
      *
      *
           MOVE  "MF100ZZ"        TO  MF100PARA-FILE-ID
           MOVE  LNK-PRTKANRI-TERMID(1:16)  TO  MF100PARA-TERMID
      *
           MOVE  "RECEERR"        TO  RECEERR-FILE-ID
           MOVE  LNK-PRTKANRI-TERMID(1:16)  
                                  TO  RECEERR-TERMID
      *
      *    ŵأɣԽ
           INITIALIZE  SYS-1001-REC
           MOVE  "1001"        TO  SYS-1001-KANRICD
           MOVE  "*"           TO  SYS-1001-KBNCD
           MOVE  SYS-1001-REC  TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF  FLG-SYSKANRI  =  ZERO
             MOVE  MCPDATA-REC  TO  SYS-1001-REC
           ELSE
             DISPLAY "*** SEIKYU0121 SYS 1001 ERR ***" UPON CONSOLE
             MOVE  1            TO  FLG-END
           END-IF
      *
      *    ŵؾݽϡϢ
           INITIALIZE  SYS-1002-REC
           MOVE  "1002"        TO  SYS-1002-KANRICD
           MOVE  "*"           TO  SYS-1002-KBNCD
           MOVE  SYS-1002-REC  TO  MCPDATA-REC
           PERFORM 800-SYSKANRI-READ-SEC
           IF  FLG-SYSKANRI  =  ZERO
             MOVE  MCPDATA-REC  TO  SYS-1002-REC
           ELSE
             DISPLAY "*** SEIKYU0121 SYS 1002 ERR ***" UPON CONSOLE
             MOVE  1            TO  FLG-END
           END-IF
      *
      *    ƥޥŲ̾
           MOVE    "1005"                 TO   SYS-1005-KANRICD
           PERFORM 820-SYSKANRI-DBSELECT-SEC
           MOVE   1        TO     IDX1
           PERFORM  UNTIL  FLG-SYSKANRI3 = 1  OR
                    IDX1   >               50
             IF  FLG-SYSKANRI3 = ZERO
                 MOVE SYS-1005-RECESRYKA  TO WRK-SRYKACD(IDX1)
                 MOVE SYS-1005-SRYKANAME  TO WRK-SRYKANAME(IDX1)
                 DISPLAY "Ų̾="  WRK-SRYKANAME(IDX1)
                 ADD  1        TO     IDX1 
             END-IF  
             PERFORM 820-SYSKANRI-DBFETCH-SEC
           END-PERFORM
      *
      *
           PERFORM 900-KOHSKY-START-SEC
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC  SECTION.
      *
           OPEN     OUTPUT  MF100-FILE
           CLOSE            MF100-FILE
           OPEN     I-O     MF100-FILE
      *
           MOVE     ZERO    TO      FLG-END
      *
           PERFORM  2001-SYUKEI-SEC
                    UNTIL   FLG-END   =   1
      *
           CLOSE   MF100-FILE
      *
           IF       CNT-RECE02   >       0
                    PERFORM   2002-PRINT-SEC
           END-IF
           MOVE   1   TO   FLG-END
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       2001-SYUKEI-SEC  SECTION.
      *
      *    TMP-FILE å
      *
           INITIALIZE       MF100-REC
      *
           MOVE  RECE02-HOSPID       TO  MF100-HOSPID
           MOVE  RECE02-PTNUM        TO  MF100-PTNUM
           MOVE  RECE02-RECEKA       TO  MF100-SRYKA
           MOVE  RECE02-HKNJANUM-KEY TO  MF100-HKNJANUM-KEY
           MOVE  RECE02-TEKSTYMD     TO  MF100-TEKSTYMD
           MOVE  RECE02-NYUGAIKBN    TO  MF100-NYUGAIKBN
           MOVE  RECE02-SRYYM        TO  MF100-SRYYM
      *
           MOVE  RECE02-PTID         TO  MF100-PTID
           MOVE  RECE02-NAME         TO  MF100-NAME
           MOVE  RECE02-KANANAME     TO  MF100-KANANAME
           MOVE  RECE02-BIRTHDAY     TO  MF100-BIRTHDAY
           MOVE  RECE02-SEX          TO  MF100-SEX
           MOVE  RECE02-AGE          TO  MF100-AGE
           MOVE  RECE02-HKN          TO  MF100-HKN
           MOVE  RECE02-RJNHKN       TO  MF100-RJNHKN
           MOVE  RECE02-KYURATE      TO  MF100-FTNRATE
           PERFORM VARYING IDX FROM    1   BY  1
                   UNTIL   IDX >       4
             IF  RECE02-KOHNUM (IDX) = "142" OR "242" OR "342" OR "542"
               MOVE  RECE02-KOHINF      (IDX)  TO  MF100-KOHINF
               MOVE  MF100-KOHFTNJANUM         TO  MF100-FTNJANUM
               MOVE  MF100-KOHJKYSNUM          TO  MF100-JKYSNUM
               COMPUTE IDY     =         IDX   +   1
               ADD   RECE02-JNISSU      (IDY)  TO  MF100-JNISSU
               ADD   RECE02-TOTALTEN    (IDY)  TO  MF100-TOTALTEN
               ADD   RECE02-FTNMONEY    (IDY)  TO  MF100-FTNMONEY
               EVALUATE  RECE02-KOHNUM(IDX)
               WHEN "142"
                 MOVE  1                       TO  MF100-142
      *    쥻ץȤνǲ
                 MOVE  RECE02-KAISU(1)         TO  MF100-SYOSIN
               WHEN "242"
                 MOVE  1                       TO  MF100-242
               WHEN "342"
                 MOVE  1                       TO  MF100-342
               END-EVALUATE
             END-IF
           END-PERFORM
      *
      *    νоݤȽ
           MOVE     ZERO                       TO  FLG-ERR
           IF  (MF100-142   =  1  AND  MF100-242  =  0)
             MOVE    142                       TO  WRK-KOHNUM
             MOVE      1                       TO  FLG-ERR
             PERFORM   920-SYUNOU-SET-SEC
           END-IF
      *
           IF       FLG-ERR                    =   ZERO
             WRITE    MF100-REC 
             ADD      1                 TO    CNT-MF100
           ELSE
             DISPLAY "оݳֹ="  RECE02-PTNUM
             DISPLAY "ô"           MF100-FTNMONEY
           END-IF
      *
      *
           PERFORM  900-KOHSKY-READ-SEC
      *
           .
       2001-SYUKEI-EXT.
           EXIT.
      **
      *****************************************************************
      *    ĢɼեϽ
      *****************************************************************
       2002-PRINT-SEC                SECTION.
      *
      *
           OPEN     INPUT       MF100-FILE
      *
           MOVE     ZERO        TO       FLG-PRINT
      *
      *    եɹ
           PERFORM  900-TMP-READ-SEC
      *
           PERFORM  UNTIL     FLG-PRINT   =  1
      *
      *    ĢɼԽ<Ф>
               PERFORM  310-HEAD-HEN-SEC
      *    ĢɼԽ<>
               PERFORM  320-BODY-HEN-SEC
      *    Ģɼ
               PERFORM  330-PRINT-OUT-SEC
           END-PERFORM
      *
           CLOSE    MF100-FILE
      *
           .
       2002-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<إå>
      *****************************************************************
       310-HEAD-HEN-SEC          SECTION.
      *
      *
           ADD     1    TO    CNT-PAGE
      *
           INITIALIZE                             SC03
      *kuriharains
      *ڡ
          MOVE CNT-PAGE                TO WRK-K-CNT-PAGE
          MOVE WRK-K-CNT-PAGE          TO SC03-K-CNT-PAGE
      *ǯ
           MOVE    MF100-SRYYM         TO  WRK-SYMD (1:6)
           MOVE    "01"                TO  WRK-SYMD (7:2)
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG(5:4)    TO  SC03-K-YY
           MOVE    WRK-HENYMDG(11:4)   TO  SC03-K-MM
      *kuriharains
      *
      *    ŵإ
           MOVE  SYS-1001-HOSPCD             TO   SC03-HOSPCD
      *
      *    Ų̾
           IF       MF100-SRYKA    NOT  =    "00"  AND SPACE
             PERFORM  VARYING  IDX1  FROM  1  BY  1
                      UNTIL    IDX1  >     50
               IF     MF100-SRYKA            =    WRK-SRYKACD(IDX1)
                 MOVE  WRK-SRYKANAME(IDX1)   TO   SC03-SRYKANAME
                 MOVE  50                    TO   IDX1
               END-IF
             END-PERFORM
           END-IF
      *
      *    ôֹ
           MOVE  MF100-FTNJANUM              TO   SC03-CITYNUM
           .
       310-HEAD-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ<ٹ>
      *****************************************************************
       320-BODY-HEN-SEC      SECTION.
      *
           INITIALIZE          SUM-AREA
           MOVE    KEY-NEW     TO   KEY-OLD 
      *kuriharains
           MOVE ZERO           TO   K-CNT-LINE
      *
           PERFORM  VARYING    IDX1  FROM  1  BY  1
                    UNTIL      IDX1  >    10
                    OR         KEY-NEW  NOT    =   KEY-OLD
                    OR         FLG-PRINT       =   1
      *
      *    ǯ
             MOVE    MF100-SRYYM         TO  WRK-SYMD (1:6)
             MOVE    "01"                TO  WRK-SYMD (7:2)
             PERFORM 31012-SEIWA-HEN-SEC
             MOVE    WRK-HENYMDG(5:4)    TO  SC03-SRYYM(IDX1)(1:4)
             MOVE    WRK-HENYMDG(11:4)   TO  SC03-SRYYM(IDX1)(5:4)
      *
      *kuriharadel
      *    ֹ
      *       MOVE    MF100-JKYSNUM       TO  SC03-JKYSNUM(IDX1)
      *kuriharadel
      *kuriharains
             MOVE    MF100-JKYSNUM     TO  SC03-K-JKYSNUM(IDX1)
      *kuriharains
      *    ֹ
      *
      *    Ļ̾
             MOVE    MF100-NAME          TO  SC03-NAME(IDX1)
      *
      *    ݸֹ
             MOVE    MF100-HKNJANUM      TO  SC03-HKNJANUM(IDX1)
      *
      *    桦ֹ
             MOVE    MF100-KIGO          TO  SC03-KIGO(IDX1)
             MOVE    MF100-NUM           TO  SC03-NUM(IDX1)
      *
      *kuriharadel
      *    쥻ץȼ
      *       IF      MF100-NYUGAIKBN     =   "1"
      *         IF    MF100-KYURATE       =   30
      *           MOVE  ""              TO  SC03-FTNRATE(IDX1 3)
      *         ELSE
      *           MOVE  ""              TO  SC03-FTNRATE(IDX1 4)
      *         END-IF
      *       ELSE
      *         IF    MF100-KYURATE       =   30
      *           MOVE  ""              TO  SC03-FTNRATE(IDX1 1)
      *         ELSE
      *           MOVE  ""              TO  SC03-FTNRATE(IDX1 2)
      *         END-IF
      *       END-IF
      *
      *kuriharadel
      *kuriharains
      *    쥻ץȼ
             IF      MF100-NYUGAIKBN     =   "1"
               MOVE  ""              TO  SC03-FTNRATE(IDX1 1)
             ELSE
               MOVE  ""              TO  SC03-FTNRATE(IDX1 2)
             END-IF
             IF    MF100-KYURATE       =   30
               MOVE  ""              TO  SC03-FTNRATE(IDX1 4)
             ELSE
               MOVE  ""              TO  SC03-FTNRATE(IDX1 3)
             END-IF
             ADD 1 TO K-CNT-LINE
             MOVE K-CNT-LINE                 TO WRK-K-CNT-LINE
             MOVE WRK-K-CNT-LINE             TO SC03-K-CNT-LINE
      *kuriharains
      *    ǲ
             MOVE  MF100-SYOSIN          TO  WRK-Z2
             MOVE  WRK-Z2                TO  SC03-KAISU(IDX1)
      * 
      *    ô
             MOVE  MF100-FTNMONEY        TO  WRK-Z6
             MOVE  WRK-Z6                TO  SC03-ITBFTN(IDX1)
      *
      *    
             IF    MF100-NYUGAIKBN       =   "1"
               MOVE  MF100-JNISSU        TO  WRK-Z2
               MOVE  WRK-Z2              TO  SC03-NISSU(IDX1)
             END-IF
      *
      *    
             MOVE    MF100-TOTALTEN      TO  WRK-Z7
             MOVE    WRK-Z7              TO  SC03-TENSU(IDX1)
      *
      *    ײû
             ADD     MF100-SYOSIN        TO  SUM-GSYOSIN
             ADD     MF100-FTNMONEY      TO  SUM-GITBFTN
             ADD     MF100-TOTALTEN      TO  SUM-GTENSU
      *kuriharains
             IF MF100-NYUGAIKBN = "1"
               IF MF100-KYURATE=30
                 ADD     MF100-SYOSIN   TO  SUM-K-GSYOSINSUX1
                 ADD     MF100-TOTALTEN TO  SUM-K-GTENSUX1
                 ADD     MF100-FTNMONEY TO  SUM-K-GFUTANKINX1
                 ADD     1              TO  SUM-K-GKENSUX1
               ELSE
                 ADD     MF100-SYOSIN   TO  SUM-K-GSYOSINSUX2
                 ADD     MF100-TOTALTEN TO  SUM-K-GTENSUX2
                 ADD     MF100-FTNMONEY TO  SUM-K-GFUTANKINX2
                 ADD     1              TO  SUM-K-GKENSUX2
               END-IF  
             ELSE
               IF MF100-KYURATE=30
                 ADD     MF100-SYOSIN   TO  SUM-K-GSYOSINSUX3
                 ADD     MF100-TOTALTEN TO  SUM-K-GTENSUX3
                 ADD     MF100-FTNMONEY TO  SUM-K-GFUTANKINX3
                 ADD     1              TO  SUM-K-GKENSUX3
               ELSE
                 ADD     MF100-SYOSIN   TO  SUM-K-GSYOSINSUX4
                 ADD     MF100-TOTALTEN TO  SUM-K-GTENSUX4
                 ADD     MF100-FTNMONEY TO  SUM-K-GFUTANKINX4
                 ADD     1              TO  SUM-K-GKENSUX4
               END-IF  
             END-IF  
           DISPLAY "NAME" MF100-NAME  

             PERFORM   900-TMP-READ-SEC
           END-PERFORM
      *
      *    Խ
           MOVE    SUM-GSYOSIN           TO  WRK-Z3
           MOVE    WRK-Z3                TO  SC03-GKAISU
           MOVE    SUM-GITBFTN           TO  WRK-Z9
           MOVE    WRK-Z9                TO  SC03-GITBFTN
           MOVE    SUM-GTENSU            TO  WRK-Z9
           MOVE    WRK-Z9                TO  SC03-GTENSU
      *kuriharains
           MOVE    SUM-K-GSYOSINSUX1     TO  WRK-K-GSYOSINSUX1
           MOVE    SUM-K-GSYOSINSUX2     TO  WRK-K-GSYOSINSUX2
           MOVE    SUM-K-GSYOSINSUX3     TO  WRK-K-GSYOSINSUX3
           MOVE    SUM-K-GSYOSINSUX4     TO  WRK-K-GSYOSINSUX4
           MOVE    WRK-K-GSYOSINSUX1     TO  SC03-K-GSYOSINSU1
           MOVE    WRK-K-GSYOSINSUX2     TO  SC03-K-GSYOSINSU2
           MOVE    WRK-K-GSYOSINSUX3     TO  SC03-K-GSYOSINSU3
           MOVE    WRK-K-GSYOSINSUX4     TO  SC03-K-GSYOSINSU4
           DISPLAY "SYOSINSU1" SC03-K-GSYOSINSU1  
           DISPLAY "SYOSINSU2" SC03-K-GSYOSINSU2  
           DISPLAY "SYOSINSU3" SC03-K-GSYOSINSU3  
           DISPLAY "SYOSINSU4" SC03-K-GSYOSINSU4  
           MOVE    SUM-K-GTENSUX1     TO  WRK-K-GTENSUX1
           MOVE    SUM-K-GTENSUX2     TO  WRK-K-GTENSUX2
           MOVE    SUM-K-GTENSUX3     TO  WRK-K-GTENSUX3
           MOVE    SUM-K-GTENSUX4     TO  WRK-K-GTENSUX4
           MOVE    WRK-K-GTENSUX1     TO  SC03-K-GTENSU1
           MOVE    WRK-K-GTENSUX2     TO  SC03-K-GTENSU2
           MOVE    WRK-K-GTENSUX3     TO  SC03-K-GTENSU3
           MOVE    WRK-K-GTENSUX4     TO  SC03-K-GTENSU4
           DISPLAY "TENSU1" SC03-K-GTENSU1  
           DISPLAY "TENSU2" SC03-K-GTENSU2  
           DISPLAY "TENSU3" SC03-K-GTENSU3  
           DISPLAY "TENSU4" SC03-K-GTENSU4  
           MOVE    SUM-K-GFUTANKINX1     TO  WRK-K-GFUTANKINX1
           MOVE    SUM-K-GFUTANKINX2     TO  WRK-K-GFUTANKINX2
           MOVE    SUM-K-GFUTANKINX3     TO  WRK-K-GFUTANKINX3
           MOVE    SUM-K-GFUTANKINX4     TO  WRK-K-GFUTANKINX4
           MOVE    WRK-K-GFUTANKINX1     TO  SC03-K-GFUTANKIN1
           MOVE    WRK-K-GFUTANKINX2     TO  SC03-K-GFUTANKIN2
           MOVE    WRK-K-GFUTANKINX3     TO  SC03-K-GFUTANKIN3
           MOVE    WRK-K-GFUTANKINX4     TO  SC03-K-GFUTANKIN4
           DISPLAY "FUTANKIN1" SC03-K-GFUTANKIN1  
           DISPLAY "FUTANKIN2" SC03-K-GFUTANKIN2  
           DISPLAY "FUTANKIN3" SC03-K-GFUTANKIN3  
           DISPLAY "FUTANKIN4" SC03-K-GFUTANKIN4  
           MOVE    SUM-K-GKENSUX1     TO  WRK-K-GKENSUX1
           MOVE    SUM-K-GKENSUX2     TO  WRK-K-GKENSUX2
           MOVE    SUM-K-GKENSUX3     TO  WRK-K-GKENSUX3
           MOVE    SUM-K-GKENSUX4     TO  WRK-K-GKENSUX4
           MOVE    WRK-K-GKENSUX1     TO  SC03-K-GKENSU1
           MOVE    WRK-K-GKENSUX2     TO  SC03-K-GKENSU2
           MOVE    WRK-K-GKENSUX3     TO  SC03-K-GKENSU3
           MOVE    WRK-K-GKENSUX4     TO  SC03-K-GKENSU4
           DISPLAY "KENSU1" SC03-K-GKENSU1  
           DISPLAY "KENSU2" SC03-K-GKENSU2  
           DISPLAY "KENSU3" SC03-K-GKENSU3  
           DISPLAY "KENSU4" SC03-K-GKENSU4  
      **kuriharains
      *
           .
       320-BODY-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       330-PRINT-OUT-SEC                SECTION.
      *
      *
           INITIALIZE                  ORCSPRTAREA
           MOVE    "INS"               TO  SPRT-MODE
           MOVE    LNK-PRTKANRI-RENNUM TO  SPRT-RENNUM
           MOVE    LNK-PRTKANRI-TBL-KEY
                                       TO  SPRT-TBL-KEY
           MOVE    LNK-PRTKANRI-TBL-GROUP
                                       TO  SPRT-TBL-GROUP
           MOVE    LNK-PRTKANRI-SRYYM  TO  SPRT-SRYYM
           MOVE    LNK-PRTKANRI-SKYYMD TO  SPRT-SKYYMD
           MOVE    LNK-PRTKANRI-SHELLID 
                                       TO  SPRT-SHELLID
           MOVE    LNK-PRTKANRI-SHORI-RENNUM
                                       TO  SPRT-SHORI-RENNUM
           MOVE    LNK-PRTKANRI-PRIORITY
                                       TO  SPRT-PRIORITY
           MOVE   "SC0121.red"         TO  SPRT-PRTID
           MOVE    "Ļٽ"
                                    TO  SPRT-TITLE
           MOVE    SC03             TO  SPRT-PRTDATA
           MOVE    LNK-PRTKANRI-TERMID TO  SPRT-TERMID
           MOVE    LNK-PRTKANRI-OPID   TO  SPRT-OPID
           MOVE    LNK-PRTKANRI-PRTNM  TO  SPRT-PRTNM
           CALL    "ORCSPRT"           USING
                                       ORCSPRTAREA
           IF      SPRT-RETURN         =   ZERO
               CONTINUE
           ELSE
               MOVE    "ģ¤˹ǤޤǤ"
                                          TO  WRK-RECEERR
               PERFORM 500-ERR-HENSYU-SEC
           END-IF
           .
       330-PRINT-OUT-EXT.
           EXIT.
      *****************************************************************
      *    顼Ͻ
      *****************************************************************
       500-ERR-HENSYU-SEC  SECTION.
      *
           OPEN  INPUT  RECEERR-FILE
           IF  STS-RECEERR  =  ZERO
             CONTINUE
           ELSE
             OPEN  OUTPUT  RECEERR-FILE
      *
             MOVE  WRK-RECEERR  TO  RECEERR-REC
             WRITE RECEERR-REC
           END-IF
      *
           CLOSE  RECEERR-FILE
      *
           .
       500-ERR-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           INSPECT WRK-HENYMDG    REPLACING  ALL "  "  BY  ""
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC   SECTION.
      *
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "KOHSKY-KEY2"       TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           CLOSE  MF100-FILE
           MOVE  CNT-PAGE  TO  WRK-PARA-PAGE
      *
           DISPLAY "*** SEIKYU0121 IN  "  CNT-RECE02
           DISPLAY "*** SEIKYU0121 OUT "  CNT-MF100
           DISPLAY "*** SEIKYU0121 END ***"
      *
           IF  CNT-MF100  =  0
             DISPLAY "DATA NOT FOUND. PRINT JOB CANCEL!!"
           END-IF
      *
      *    ƥå׽λ
           MOVE    "STE"           TO  SJOBKANRI-MODE
           INITIALIZE                  JOBKANRI-REC
           MOVE    WRK-PARA-PAGE   TO  JOB-UPDCNT
           MOVE    WRK-PARA-JOBID  TO  JOB-JOBID
           MOVE    WRK-PARA-SHELLID
                                   TO  JOB-SHELLID
           CALL    "ORCSJOB"       USING
                                   ORCSJOBKANRIAREA
                                   JOBKANRI-REC
      *
           PERFORM 900-DBDISCONNECT-SEC
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    եɹ
      *****************************************************************
       900-TMP-READ-SEC                SECTION.
      *
           READ  MF100-FILE   NEXT
               AT  END
                   MOVE  1  TO  FLG-PRINT
               NOT  AT  END
                   MOVE  MF100-FTNJANUM       TO  KEY-N-FTNJANUM
                   MOVE  MF100-SRYKA          TO  KEY-N-SRYKA
           END-READ
           .
       900-TMP-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       900-KOHSKY-START-SEC            SECTION.
      *
           INITIALIZE                  RECE02-REC
           MOVE    WRK-PARA-HOSPID     TO  RECE02-HOSPID
           MOVE    LNK-PRTKANRI-SRYYM  TO  RECE02-SKYYM
           MOVE    RECE02-REC          TO  MCPDATA-REC
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "KOHSKY-KEY2"       TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "KOHSKY-KEY2"       TO  ORC-DBPATH
               PERFORM 900-KOHSKY-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-END
           END-IF
           .
       900-KOHSKY-START-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥңţ
      *****************************************************************
       900-KOHSKY-READ-SEC         SECTION.
      *
           MOVE    "DBFETCH"           TO  MCP-FUNC
           MOVE    "KOHSKY-KEY2"       TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    ZERO            TO  FLG-END
               MOVE    MCPDATA-REC     TO  RECE02-REC
               IF  RECE02-KOHNUM(1) = "142" OR "242" OR "342" OR "542"
                OR RECE02-KOHNUM(2) = "142" OR "242" OR "342" OR "542"
                OR RECE02-KOHNUM(3) = "142" OR "242" OR "342" OR "542"
                OR RECE02-KOHNUM(4) = "142" OR "242" OR "342" OR "542"
      *        ƥȴԤΤȤɤФ
                   MOVE    SPACE               TO  PTINF-REC
                   INITIALIZE                      PTINF-REC
                   MOVE    RECE02-HOSPID       TO  PTINF-HOSPID
                   MOVE    RECE02-PTID         TO  PTINF-PTID
                   MOVE    PTINF-REC           TO  MCPDATA-REC
                   PERFORM 800-PTINF-READ-SEC
                   IF      FLG-PTINF           =   ZERO
                   AND     PTINF-TSTPTNUMKBN   =   "1"
                       GO  TO  900-KOHSKY-READ-SEC
                   END-IF   
                   ADD  1  TO  CNT-RECE02
               ELSE
                 GO  TO  900-KOHSKY-READ-SEC
               END-IF
           ELSE
               MOVE    1               TO  FLG-END
           END-IF
           .
       900-KOHSKY-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ԥޥɹ
      *****************************************************************
       800-PTINF-READ-SEC         SECTION.
      *
           MOVE    "DBSELECT"          TO  MCP-FUNC
           MOVE    "PTINF-KEY"         TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC              =   ZERO
               MOVE    "DBFETCH"           TO  MCP-FUNC
               MOVE    "PTINF-KEY"         TO  ORC-DBPATH
               CALL    "ORCMCPSUB"          USING
                                            MCPAREA
                                            ORCMCPAREA
                                            MCPDATA-REC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-PTINF
                   MOVE    MCPDATA-REC         TO  PTINF-REC
               ELSE
                   MOVE    1                   TO  FLG-PTINF
                   INITIALIZE                  PTINF-REC
               END-IF
           ELSE
               MOVE    1                   TO  FLG-PTINF
               INITIALIZE                  PTINF-REC
           END-IF
      *
           MOVE    "DBCLOSE"           TO  MCP-FUNC
           MOVE    "PTINF-KEY"         TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
      *
           .
       800-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ׽
      *****************************************************************
       800-SEIKYU-SEC  SECTION.
      *
      *
           PERFORM  VARYING  IDX  FROM  1  BY  1
                    UNTIL    IDX  >     4  OR
                    SYU-KOH-HKNNUM(IDX) =  SPACE
      *
      *    ׻ô˺ͭ硢νäȽꤹ
             IF   SYU-KOH-HKNNUM(IDX)     =  WRK-KOHNUM
               IF     IDX                 =  1
                 IF  SYU-SYUCOMPFTN-ENTANI
                                       > SYU-KOH-COMPFTN-ENTANI(IDX)
                   MOVE     ZERO         TO  FLG-ERR
                 END-IF
               ELSE
                 IF  SYU-KOH-COMPFTN-ENTANI(IDX - 1)
                                      >  SYU-KOH-COMPFTN-ENTANI(IDX)
                   MOVE     ZERO         TO  FLG-ERR
                 END-IF
               END-IF
             END-IF
      *
           END-PERFORM
      *
      *
           .
       800-SEIKYU-SEC-EXT.
           EXIT.
      *
      *****************************************************************
      *  Ǽ󥻥å
      *****************************************************************
       920-SYUNOU-SET-SEC  SECTION.
      *
             INITIALIZE  SYUNOU-REC
             MOVE  RECE02-HOSPID      TO  SYU-HOSPID
             MOVE  RECE02-NYUGAIKBN   TO  SYU-NYUGAIKBN
             MOVE  RECE02-PTID        TO  SYU-PTID
             MOVE  SYUNOU-REC         TO  MCPDATA-REC
             MOVE  "DBSELECT"         TO  MCP-FUNC
             MOVE  "SYUNOU-KEY2"      TO  ORC-DBPATH
             CALL  "ORCMCPSUB"        USING
                                      MCPAREA
                                      ORCMCPAREA
                                      MCPDATA-REC
             IF  MCP-RC  =  ZERO
               MOVE  "SYUNOU-KEY2"  TO  ORC-DBPATH
               PERFORM  925-SYUNOU-READ-SEC
      *
               PERFORM  UNTIL  FLG-SYUNOU  =  1
                 IF  RECE02-SRYYM  =  SYU-SRYYMD(1:6)
                     AND  SYU-DENPJTIKBN   NOT = "3"
                   IF    SYU-HKNCOMBINUM  =  RECE02-HKNCOMBI(1) OR
                                             RECE02-HKNCOMBI(2) OR
                                             RECE02-HKNCOMBI(3) OR
                                             RECE02-HKNCOMBI(4) OR
                                             RECE02-HKNCOMBI(5) OR
                                             RECE02-HKNCOMBI(6) OR
                                             RECE02-HKNCOMBI(7) OR
                                             RECE02-HKNCOMBI(8) OR
                                             RECE02-HKNCOMBI(9) OR
                                             RECE02-HKNCOMBI(10) 
                     IF  SYU-KOH-HKNNUM (1)  =  WRK-KOHNUM  OR
                         SYU-KOH-HKNNUM (2)  =  WRK-KOHNUM  OR
                         SYU-KOH-HKNNUM (3)  =  WRK-KOHNUM  OR
                         SYU-KOH-HKNNUM (4)  =  WRK-KOHNUM
      *
                           PERFORM  800-SEIKYU-SEC
                     END-IF
                   END-IF
                 END-IF
      *
                 MOVE  "SYUNOU-KEY2"  TO  ORC-DBPATH
                 PERFORM   925-SYUNOU-READ-SEC
               END-PERFORM
             ELSE
               DISPLAY  "SYUNOU SELECT ERR" UPON CONSOLE
             END-IF
      *
             INITIALIZE  MCPAREA
             MOVE  "DBCLOSE"      TO  MCP-FUNC
             MOVE  "SYUNOU-KEY2"  TO  ORC-DBPATH
             CALL  "ORCMCPSUB"  USING
                                MCPAREA
                                ORCMCPAREA
                                MCPDATA-REC
      *
           .
       920-SYUNOU-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ǽɹ
      *****************************************************************
       925-SYUNOU-READ-SEC  SECTION.
      *
           MOVE  "DBFETCH"  TO  MCP-FUNC
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  MCPDATA-REC  TO  SYUNOU-REC
             MOVE  ZERO         TO  FLG-SYUNOU
           ELSE
             INITIALIZE  SYUNOU-REC
             MOVE  1  TO  FLG-SYUNOU
           END-IF
      *
           .
       925-SYUNOU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    н
      *****************************************************************
       31012-LASTDAY-GET-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY7-AREA
           MOVE    "71"                   TO  LNK-DAY7-IRAI
           MOVE    WRK-SYMD     TO  LNK-DAY7-YM
           CALL    "ORCSDAY"       USING   STS-AREA-DAY
                                                  LNK-DAY7-AREA
           MOVE LNK-DAY7-KOYOMI  TO  WRK-SYMD
           .
       31012-LASTDAY-GET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɤ߹
      *****************************************************************
       800-SYSKANRI-READ-SEC  SECTION.
      *
           MOVE  LNK-PRTKANRI-SKYYMD  TO  ORC-DBYMD
           MOVE  "DBSELECT"       TO  MCP-FUNC
           MOVE  "SYSKANRI-KEY"   TO  ORC-DBPATH
           CALL  "ORCMCPSUB"      USING
                                  MCPAREA
                                  ORCMCPAREA
                                  MCPDATA-REC
           IF  MCP-RC  =  ZERO
             MOVE  "DBFETCH"  TO  MCP-FUNC
             MOVE  "SYSKANRI-KEY"  TO  ORC-DBPATH
             CALL  "ORCMCPSUB"     USING
                                   MCPAREA
                                   ORCMCPAREA
                                   MCPDATA-REC
             IF  MCP-RC  =  ZERO
               MOVE  ZERO  TO  FLG-SYSKANRI
             ELSE
               MOVE  1  TO  FLG-SYSKANRI
             END-IF
           ELSE
             MOVE  1  TO  FLG-SYSKANRI
           END-IF
      *
           MOVE  "DBCLOSE"       TO  MCP-FUNC
           MOVE  "SYSKANRI-KEY"  TO  ORC-DBPATH
           CALL  "ORCMCPSUB"     USING
                                 MCPAREA
                                 ORCMCPAREA
                                 MCPDATA-REC
      *
           .
       800-SYSKANRI-READ-EXT.
           EXIT.
      *      
      *****************************************************************
      *    ޥ(Ųܾ)
      *****************************************************************
       820-SYSKANRI-DBSELECT-SEC                 SECTION.
      *
           MOVE    LNK-PRTKANRI-SKYYMD   TO  ORC-DBYMD
           MOVE    SYS-1005-REC          TO  MCPDATA-REC
           MOVE    "DBSELECT"                TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY2"      TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
          IF      MCP-RC           =   ZERO
                PERFORM 820-SYSKANRI-DBFETCH-SEC
           ELSE
               MOVE    1           TO    FLG-SYSKANRI3
               PERFORM 820-SYSKANRI-DBCLOSE-SEC
           END-IF        
           .
       820-SYSKANRI-DBSELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *     ޥ(Ųܾ)
      *****************************************************************
       820-SYSKANRI-DBFETCH-SEC                SECTION.
      *
           MOVE    "DBFETCH"                  TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY2"      TO  ORC-DBPATH
           CALL     "ORCMCPSUB"         USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           IF      MCP-RC           =   ZERO
               MOVE    ZERO                   TO  FLG-SYSKANRI3
               MOVE    MCPDATA-REC  TO  SYS-1005-REC
           ELSE
               MOVE    1                           TO  FLG-SYSKANRI3
               PERFORM 820-SYSKANRI-DBCLOSE-SEC
           END-IF  
           .
       820-SYSKANRI-DBFETCH-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       820-SYSKANRI-DBCLOSE-SEC                 SECTION.
      *
           MOVE  "DBCLOSE"                TO  MCP-FUNC
           MOVE    "SYSKANRI-KEY2"  TO  ORC-DBPATH
           CALL    "ORCMCPSUB"          USING
                                        MCPAREA
                                        ORCMCPAREA
                                        MCPDATA-REC
           .
       820-SYSKANRI-DBCLOSE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡ץ
      *****************************************************************
       100-DBOPEN-SEC  SECTION.
      *
           MOVE  "DBOPEN"   TO  MCP-FUNC.
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC.
      *
           MOVE  "DBSTART"  TO  MCP-FUNC.
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC.
           .
       100-DBOPEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¡
      *****************************************************************
       900-DBDISCONNECT-SEC  SECTION.
      *
           MOVE  "DBCOMMIT"      TO  MCP-FUNC.
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC.
      *
           MOVE  "DBDISCONNECT"  TO  MCP-FUNC.
           CALL  "ORCMCPSUB"  USING
                              MCPAREA
                              ORCMCPAREA
                              MCPDATA-REC.
           .
       900-DBDISCONNECT-EXT.
           EXIT.
      *
